Mailing List Message #106703
From: Technical Support <>
Subject: Re: Segmentation fault
Date: Wed, 10 Jan 2018 13:48:41 +0300
To: CommuniGate Pro Discussions <>

Please try to re-install from packages available from

These are the same as the officially released packages, but recompiled with the flag requesting version 10.5 of MacOS as the minimal (and the docs will be updating accordingly). This disables some extended instructions used by the latest builds of CGPro for macOS.

We most probably will drop support for builds targeting PowerPC-based systems.

On 2018-01-08 20:34, Marcel Hochuli wrote:

I updated CGServer from 6.1.16 to 6.2.1 on a Mac OS X 10.6.8.

System Requirements told me it must run 10.3 or higher (pass).

When starting CGS 6.2.1, I get:

bash-3.2# /Library/StartupItems/CommuniGatePro/CommuniGatePro launch
Starting CommuniGate Pro
/Library/StartupItems/CommuniGatePro/CommuniGatePro: line 67: 20392 Segmentation fault      (core dumped) ${APPDIRECTORY}/CGServer --Base ${BASEDIRECTORY} ${SUPPLPARAMS}

The same with start instead of launch and also the same when using launchctl load /Library/LaunchDaemons/CommuniGatePro.plist

I removed /usr/local/CommuniGatePro and reinstalled 6.1.16 which works perfectly

Does someone know this problem?


Best regards,
Dmitry Akindinov

When answering to letters sent to you by the staff, make
sure the original message you have received is included into your
Subscribe (FEED) Subscribe (DIGEST) Subscribe (INDEX) Unsubscribe Mail to Listmaster